Set signing policy
curl --request POST \
--url https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"allow_any_issuer": true,
"allowed_algs": [
"<string>"
],
"allowed_issuer_ids": [
"<string>"
],
"min_trust_tier": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_any_issuer: true,
allowed_algs: ['<string>'],
allowed_issuer_ids: ['<string>'],
min_trust_tier: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload = {
"allow_any_issuer": True,
"allowed_algs": ["<string>"],
"allowed_issuer_ids": ["<string>"],
"min_trust_tier": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload := strings.NewReader("{\n \"allow_any_issuer\": true,\n \"allowed_algs\": [\n \"<string>\"\n ],\n \"allowed_issuer_ids\": [\n \"<string>\"\n ],\n \"min_trust_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"signing_policy": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Receipts
Set Signing Policy
Configure which issuers and algorithms may sign receipts of a given type.
POST
/
v1
/
receipt-types
/
{name}
/
signing-policy
Set signing policy
curl --request POST \
--url https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"allow_any_issuer": true,
"allowed_algs": [
"<string>"
],
"allowed_issuer_ids": [
"<string>"
],
"min_trust_tier": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_any_issuer: true,
allowed_algs: ['<string>'],
allowed_issuer_ids: ['<string>'],
min_trust_tier: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload = {
"allow_any_issuer": True,
"allowed_algs": ["<string>"],
"allowed_issuer_ids": ["<string>"],
"min_trust_tier": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload := strings.NewReader("{\n \"allow_any_issuer\": true,\n \"allowed_algs\": [\n \"<string>\"\n ],\n \"allowed_issuer_ids\": [\n \"<string>\"\n ],\n \"min_trust_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"signing_policy": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Sets or updates the signing policy for a receipt type. The policy controls which issuers can mint receipts and which signing algorithms are permitted.
If no policy is configured, all trusted issuers with any algorithm are permitted.
To read the current policy, use
GET /v1/receipt-types/{name}/signing-policy.
Response
Body
application/json

